# frozen_string_literal: true

module VeezoLocationApi
  class Response
    attr_reader :success, :status_code, :data

    def initialize(success:, status_code:, data: nil)
      @success = success
      @status_code =  status_code
      @data = data if success?
    end

    def success?
      @success || false
    end
  end
end